V1Plans

保証プラン取得

GET
/v1/plans/{planId}

Path Parameters

planId*string

plan.id

Header Parameters

X-Proteger-Auth-Token*string

protegerAccessToken

Content-Type*string

application/json

Accept*string

application/json

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/plans/c10a0882-2b11-633d-7de6-0563bbf9dbed" \  -H "X-Proteger-Auth-Token: string" \  -H "Content-Type: string" \  -H "Accept: string"
{  "plan": {    "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "storeReferenceId": "001",    "title": "1年延長保証",    "price": 2000,    "termLength": 12,    "serviceType": "Repair",    "protectionType": "Base",    "url": "string"  },  "product": {    "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "referenceId": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "title": "ノートPC",    "price": 10000,    "imageUrl": "https://helloproteger.com/image/10vj12.png",    "createdAt": "2021-01-31T13:16:06.239289+09:00",    "updatedAt": "2021-01-31T13:16:06.239289+09:00"  }}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}